/*REXX*/
/* DtMNnDs - return number days in month */
/* 001 - 16.11.2004 */
DtMNnDs:
  PARSE ARG Y, M
  MNMin=1
  MNMax=12
  vM=TRUNC(M)
  IF ((vM>MNMax)|(vM<MNMin)) THEN DO
    PARSE SOURCE . . DvrCmdNE
    CALL MsgErr DvrCmdNE': ='M'  :'MNMin'-'MNMax'.'
    RETURN 1
  END
  CALL DtYNnDs Y
  NnDs=RESULT
  NnDsM2=28+(NnDs-365)

  SELECT 
  WHEN vM=1   THEN DO; EnNm='JANUARY' ; RuNm='ﭢp'  ;LstD=31; END
  WHEN vM=2   THEN DO; EnNm='FEBRUARY'; RuNm='䥢p' ;LstD=NnDsM2; END
  WHEN vM=3   THEN DO; EnNm='MARCH'   ; RuNm='p'   ;LstD=31; END
  WHEN vM=4   THEN DO; EnNm='APRIL'   ; RuNm='p'  ;LstD=30; END
  WHEN vM=5   THEN DO; EnNm='MAY'     ; RuNm=''     ;LstD=31; END
  WHEN vM=6   THEN DO; EnNm='JUNE'    ; RuNm=''    ;LstD=30; END
  WHEN vM=7   THEN DO; EnNm='JULY'    ; RuNm=''    ;LstD=31; END
  WHEN vM=8   THEN DO; EnNm='AUGUST'  ; RuNm='' ;LstD=31; END
  WHEN vM=9   THEN DO; EnNm='SEPTEMB' ; RuNm='ᥭp';LstD=30; END
  WHEN vM=10  THEN DO; EnNm='OCTOBER' ; RuNm='p' ;LstD=31; END
  WHEN vM=11  THEN DO; EnNm='NOVEMBER'; RuNm='p'  ;LstD=30; END
  WHEN vM=12  THEN DO; EnNm='DECEMBER'; RuNm='p' ;LstD=31; END
  OTHERWISE   NOP
  END
RETURN LstD
