/* Convert from date('S') to date('B') format */
/* by modification of DtBS.002                */
/* 002 09.11.2004 */
/* In   4 years is 1461
   In 100 years is 36524
   In 400 years is 146097 */
DtBS:
  PARSE SOURCE . . DvrCmdNE
  ARG pSDate
  IF \(LENGTH(pSDate)==8) THEN DO
    CALL MsgErr DvrCmdNE':call format:'DvrCmdNE' YyyyMmDd (not 'pSDate')'
    RETURN 0
  END

  i=0
  i=i+1; NnYs.i=400; NnYsDs.i=146097
  i=i+1; NnYs.i=100; NnYsDs.i=36524
  i=i+1; NnYs.i=4;   NnYsDs.i=1461
  i=i+1; NnYs.i=1;   NnYsDs.i=365
         NnYs.0=i
  Yyyy=LEFT(pSDate,4)
  Mn=SUBSTR(pSDate,5,2)
  Dd= RIGHT(pSDate,2)
  NnYDs=DtYNnDs(Yyyy)

  Ym=Yyyy-1
  Mm=Mn-1
  Dm=Dd-1
  DtBase=0
  YRst=Ym
  DO i=1 TO NnYs.0
    NnDsPrd=NnYsDs.i
    NnYsPrd=NnYs.i
    NnPrds =TRUNC(YRst/NnYsPrd)
    YRst  =YRst-NnPrds*NnYsPrd
    DtBase=DtBase+NnPrds*NnDsPrd
  END
  IF \(YRst==0) THEN DO
    CALL MsgErr  DvrCmdNE':YRst='YRst' not eq 0.'
    RETURN 0
  END
  IF (NnYDs==366) /* leap year */
    THEN sNnMsDs='31 60 91 121 152 182 213 244 274 305 335 366'
    ELSE sNnMsDs='31 59 90 120 151 181 212 243 273 304 334 365'
  IF \(Mm==0) THEN  DtBase=DtBase+WORD(sNnMsDs,Mm)
  DtBase=DtBase+Dd-1
RETURN DtBase

/* IF (NnYDs==366) THEN str = '31 29 31 30 31 30 31 31 30 31 30 31'
                   ELSE str = '31 28 31 30 31 30 31 31 30 31 30 31' */
